#
# spec file for package lifecycle-data-sle-module-toolchain
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lifecycle-data-sle-module-development-tools
Version:        1
Release:        150200.3.30.1
Summary:        SLE Development Tools Module Lifecycle Data
License:        GPL-2.0+
Group:          System/Management
Url:            http://www.suse.com/lifecycle
Source:         COPYING
Source1:        sle-module-development-tools.lifecycle
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Supplements: 	sle-module-development-tools-release zypper-lifecycle-plugin

%description
Package lifecycle data.  This is the source of zypper lifecycle information.

%prep

%build

%install
mkdir -pv %{buildroot}/usr/share/lifecycle/data
mkdir -pv %{buildroot}%{_docdir}/%{name}
install -m 644 %{SOURCE0} %{buildroot}%{_docdir}/%{name}/COPYING
install -m 644 %{SOURCE1}  %{buildroot}/usr/share/lifecycle/data/sle-module-development-tools.lifecycle

%files
%defattr(-,root,root)
%doc %{_docdir}/%{name}/COPYING
%dir %{_docdir}/lifecycle-data-sle-module-development-tools
%dir /usr/share/lifecycle
%dir /usr/share/lifecycle/data
/usr/share/lifecycle/data/sle-module-development-tools.lifecycle

%changelog
* Tue Nov  5 2024 meissner@suse.com
- mark past EOL dates for go1.20, go1.21 now we have go1.22 and go1.23
- mark EOL date for gcc13 (2025-04-30).
- added missing EOLs for rust 1.xx  (release date of N+2 , +7 days )
* Thu Apr 18 2024 meissner@suse.com
- added go1.19 eol dates (bsc#1222046)
- added rust1.73, 74 and 75 EOL dates (rust1.n+2 release + 1 week) (bsc#1222046)
- also added for cargo1.7x
* Fri Oct 27 2023 meissner@suse.com
- temporary remove go1.19-openssl EOL, as its not clear when we will
  get go1.21-openssl yet. (bsc#1216578)
- mark gcc12 EOL date to April 30th of 2024 (6 months after release of
  gcc13) (jsc#PED-6584)
* Wed Oct 11 2023 dmueller@suse.com
- rust 1.71/72 added
* Mon Sep 25 2023 meissner@suse.com
- add go1.15-go1.19 EOL dates, added rust EOL dates for the rusts
  we have shipped.
* Mon Apr 24 2023 jcheung@suse.com
- Added expiration data for GCC 11 yearly update for the Toolchain/Development modules.
  (jsc#PM-3603, jsc#PED-2030, jsc#PED-2033, jsc#PED-2035)
* Mon Feb 28 2022 jcheung@suse.com
- Added expiration data for GCC 10 yearly update for the Toolchain/Development modules.
  (jsc#ECO-2373, jsc#SLE-16821, jsc#SLE-16822)
* Mon Jun 21 2021 meissner@suse.com
- added expiration for go1.14 as go1.16 was released
  (jsc#ECO-1484)
* Wed Nov 18 2020 jcheung@suse.com
- Added expiration data for GCC 9 yearly update for the Toolchain/Development modules.
  (jsc#ECO-368, jsc#SLE-10950, jsc#SLE-10951)
* Tue Jun 30 2020 fcrozat@suse.com
- Add supplements to ensure package is installed with its
  corresponding module when lifecycle package is installed
  (bsc#1173407).
* Thu Feb 27 2020 jcheung@suse.com
- Fix the life cycle date which starts from gcc8
* Tue Feb 25 2020 jcheung@suse.com
- initial package (bsc#1158385)
